## libavtp 0.2.0

=== meson_options.txt ===
# Port to 'feature' once we depend on meson 0.47.0
option(
    'tests',
    type : 'combo',
    value : 'auto',
    choices : ['enabled', 'disabled', 'auto'],
    description : 'Build unit test libraries')

=== debian/changelog ===
libavtp (0.2.0-2) unstable; urgency=medium

  * Add symbols file
  * Add debian/upstream/metadata
  * Standards-Version: 4.7.0 (no changes needed)
  * Add autopkgtest

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2025 10:04:43 +0100

libavtp (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1031002)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Feb 2023 10:58:02 +0100

=== debian/control ===
Source: libavtp
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               pkgconf,
               libcmocka-dev <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/libavtp
Vcs-Git: https://salsa.debian.org/multimedia-team/libavtp.git
Homepage: https://github.com/Avnu/libavtp

Package: libavtp0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Audio Video Transport Protocol (shared library)
 Audio Video Transport Protocol (AVTP) defines several AVTPDU type formats.
 Libavtp doesn't support all of them yet. The list of supported formats is:
 AAF (PCM encapsulation only), CRF, CVF (H.264 only) and RVF.
 .
 This package provides the shared library.

Package: libavtp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libavtp0 (= ${binary:Version}),
         ${misc:Depends}
Description: Audio Video Transport Protocol (development files)
 Audio Video Transport Protocol (AVTP) defines several AVTPDU type formats.
 Libavtp doesn't support all of them yet. The list of supported formats is:
 AAF (PCM encapsulation only), CRF, CVF (H.264 only) and RVF.
 .
 This package provides the development files for libavtp.

=== debian/tests/control ===
Test-Command: dh_auto_configure; dh_auto_build; dh_auto_test
Depends: @builddeps@
Restrictions: allow-stderr
